Update a contact

There are 2 ways to update a contact

Option 1- https://api.brevo.com/v3/contacts/{identifier}

Option 2- https://api.brevo.com/v3/contacts/{identifier}?identifierType={}

Option 1 only works if identifierType is email_id (for EMAIL) or contact_id (for ID of the contact),where you can directly pass the value of EMAIL and ID of the contact.

Option 2 works for all identifierType, use email_id for EMAIL attribute, contact_id for ID of the contact, ext_id for EXT_ID attribute, phone_id for SMS attribute, whatsapp_id for WHATSAPP attribute, landline_number_id for LANDLINE attribute

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📘

Follow this format when passing a "SMS" phone number as an attribute.

Accepted Number Formats
91xxxxxxxxxx
+91xxxxxxxxxx
0091xxxxxxxxxx
Path Params
required

Email (urlencoded) OR ID of the contact OR EXT_ID attribute (urlencoded) OR its SMS attribute value OR its WHATSAPP attribute value OR its LANDLINE attribute value

Query Params
string
enum

email_id for Email, contact_id for ID of the contact, ext_id for EXT_ID attribute, phone_id for SMS attribute, whatsapp_id for WHATSAPP attribute, landline_number_id for LANDLINE attribute

Allowed:
Body Params

Values to update a contact

attributes
object

Pass the set of attributes to be updated. These attributes must be present in your account. To update existing email address of a contact with the new one please pass EMAIL in attributes. For example, { "EMAIL":"[email protected]", "FNAME":"Ellie", "LNAME":"Roger", "COUNTRIES":["India","China"]}. The attribute's parameter should be passed in capital letter while updating a contact. Values that don't match the attribute type (e.g. text or string in a date attribute) will be ignored .Keep in mind transactional attributes can be updated the same way as normal attributes. Mobile Number in SMS field should be passed with proper country code. For example: {"SMS":"+91xxxxxxxxxx"} or {"SMS":"0091xxxxxxxxxx"}

boolean

Set/unset this field to blacklist/allow the contact for emails (emailBlacklisted = true)

string

Pass your own Id to update ext_id of a contact.

listIds
array of int64s

Ids of the lists to add the contact to

listIds
boolean

Set/unset this field to blacklist/allow the contact for SMS (smsBlacklisted = true)

smtpBlacklistSender
array of strings

transactional email forbidden sender for contact. Use only for email Contact

smtpBlacklistSender
unlinkListIds
array of int64s

Ids of the lists to remove the contact from

unlinkListIds
Responses
204

Contact updated

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json